PowerShell yarn 보안 오류

gwak2837·2020년 1월 16일
0

설명

Node.js 프로젝트를 Windows 환경에서 진행하다 Visual Studio Code Terminal(PowerShell 환경)에서 yarn 관련 명령어를 실행 중 보안 오류가 발생하여 이에 대한 해결 방법을 작성했다.

PSSecurity Exception : Unauthorized Access

오류

yarn을 설치하고, yarn start 명령어를 실행하는 중에 아래의 오류가 발생했다.

해결 방법

  1. 관리자 권한으로 PowerShell을 실행한다.

  2. 실행 정책을 확인하기 위해 'ExecutionPolicy' 명령어를 실행하고 'Restricted'라고 표시되고 있으면, 현재 정책 때문에 위에 오류가 발생한 것을 알 수 있다.

> ExecutionPolicy
Restricted
  1. 스크립트를 허용하기 위해 아래 명령어를 실행한다.
> Set-ExecutionPolicy Unrestricted 
  1. 변경된 실행 정책을 확인하기 위해 'ExecutionPolicy' 명령어를 실행하고 'Unrestricted'라고 표시되면 스크립트가 허용되는 것을 알 수 있습니다.
> ExecutionPolicy
Unrestricted
  1. 해결!

참고: https://extbrain.tistory.com/118

profile
이유와 방법을 알려주는 메모장 겸 블로그

0개의 댓글